Bareos Bug Tracker
Bareos Bug Tracker

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000840bareos-core[All Projects] webuipublic2017-07-30 11:452017-08-08 16:24
Reportertigerfoot 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version16.2.6 
Target VersionFixed in Version16.2.7 
Summary0000840: bareos-webui openSUSE RPM has hard require to apache2_mod-php (5 or 7)
DescriptionIf you want to install bareos on non httpd prefork mpm (or same should apply to nginx) the package want to install mod_php(5,7) and thus can change the MPM of the webserver.

Steps To ReproduceInstall any other MPM (apache event is the apache upstream recommend now)
Run php with php-fpm (which is also the right recommandation from PhP upstream)

zypper lock any apache2-mod_php(5,7)
try to install bareos-webui

Problem: bareos-webui-16.2.6-61.1.noarch requires mod_php_any, but this requirement cannot be provided
  uninstallable providers: apache2-mod_php5-5.5.14-80.2.x86_64[oss]
                   apache2-mod_php7-7.0.7-17.2.x86_64[oss]
 Solution 1: Following actions will be done:
  remove lock to allow installation of apache2-mod_php5-5.5.14-80.2.x86_64[oss]
  deinstallation of php7-7.0.7-17.2.x86_64
  deinstallation of php7-bcmath-7.0.7-17.2.x86_64
  deinstallation of php7-bz2-7.0.7-17.2.x86_64
  deinstallation of php7-calendar-7.0.7-17.2.x86_64
  deinstallation of php7-ctype-7.0.7-17.2.x86_64
  deinstallation of php7-curl-7.0.7-17.2.x86_64
  deinstallation of php7-dba-7.0.7-17.2.x86_64
  deinstallation of php7-devel-7.0.7-17.2.x86_64
  deinstallation of php7-dom-7.0.7-17.2.x86_64
  deinstallation of php7-enchant-7.0.7-17.2.x86_64
  deinstallation of php7-exif-7.0.7-17.2.x86_64
  deinstallation of php7-fastcgi-7.0.7-17.2.x86_64
  deinstallation of php7-fileinfo-7.0.7-17.2.x86_64
  deinstallation of php7-fpm-7.0.7-17.2.x86_64
  deinstallation of php7-ftp-7.0.7-17.2.x86_64
  deinstallation of php7-gd-7.0.7-17.2.x86_64
  deinstallation of php7-gettext-7.0.7-17.2.x86_64
  deinstallation of php7-gmp-7.0.7-17.2.x86_64
  deinstallation of php7-iconv-7.0.7-17.2.x86_64
  deinstallation of php7-imap-7.0.7-17.2.x86_64
  deinstallation of php7-intl-7.0.7-17.2.x86_64
  deinstallation of php7-json-7.0.7-17.2.x86_64
  deinstallation of php7-ldap-7.0.7-17.2.x86_64
  deinstallation of php7-mbstring-7.0.7-17.2.x86_64
  deinstallation of php7-mcrypt-7.0.7-17.2.x86_64
  deinstallation of php7-mysql-7.0.7-17.2.x86_64
  deinstallation of php7-odbc-7.0.7-17.2.x86_64
  deinstallation of php7-opcache-7.0.7-17.2.x86_64
  deinstallation of php7-openssl-7.0.7-17.2.x86_64
  deinstallation of php7-pcntl-7.0.7-17.2.x86_64
  deinstallation of php7-pdo-7.0.7-17.2.x86_64
  deinstallation of php7-pgsql-7.0.7-17.2.x86_64
  deinstallation of php7-phar-7.0.7-17.2.x86_64
  deinstallation of php7-posix-7.0.7-17.2.x86_64
  deinstallation of php7-pspell-7.0.7-17.2.x86_64
  deinstallation of php7-readline-7.0.7-17.2.x86_64
  deinstallation of php7-shmop-7.0.7-17.2.x86_64
  deinstallation of php7-snmp-7.0.7-17.2.x86_64
  deinstallation of php7-soap-7.0.7-17.2.x86_64
  deinstallation of php7-sockets-7.0.7-17.2.x86_64
  deinstallation of php7-sqlite-7.0.7-17.2.x86_64
  deinstallation of php7-sysvmsg-7.0.7-17.2.x86_64
  deinstallation of php7-sysvsem-7.0.7-17.2.x86_64
  deinstallation of php7-sysvshm-7.0.7-17.2.x86_64
  deinstallation of php7-tidy-7.0.7-17.2.x86_64
  deinstallation of php7-tokenizer-7.0.7-17.2.x86_64
  deinstallation of php7-wddx-7.0.7-17.2.x86_64
  deinstallation of php7-xmlreader-7.0.7-17.2.x86_64
  deinstallation of php7-xmlrpc-7.0.7-17.2.x86_64
  deinstallation of php7-xmlwriter-7.0.7-17.2.x86_64
  deinstallation of php7-xsl-7.0.7-17.2.x86_64
  deinstallation of php7-zip-7.0.7-17.2.x86_64
  deinstallation of php7-zlib-7.0.7-17.2.x86_64
  deinstallation of php7-pear-7.0.7-17.2.noarch
  deinstallation of php7-pear-Archive_Tar-7.0.7-17.2.noarch
 Solution 2: remove lock to allow installation of apache2-mod_php7-7.0.7-17.2.x86_64[oss]
 Solution 3: do not install bareos-webui-16.2.6-61.1.noarch
 Solution 4: break bareos-webui-16.2.6-61.1.noarch by ignoring some of its dependencies
Additional InformationTo allow end users to choose the MPM and way of running php7 the package should only require httpd (work also for RHEL related) and one php engine.

It can recommends the mod_php but this will not last long in the future.
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionfixed
bareos-16.2: impactyes
bareos-16.2: actionfixed
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action
Attached Files

- Relationships

-  Notes
(0002700)
frank (manager)
2017-08-08 16:16

Fix committed to bareos-webui bareos-16.2 branch with changesetid 7071.
(0002701)
frank (manager)
2017-08-08 16:21

Fix committed to bareos-webui master branch with changesetid 7072.

- Related Changesets
bareos-webui: bareos-16.2 c8521c09
Timestamp: 2017-08-07 12:03:55
Author: frank
Ported: N/A
Details ] Diff ]
Fix to bugreport 0000840

To allow end users to choose the MPM way of running php7 the package
should only require httpd (work also for RHEL related) and one php
engine.

It can recommend mod_php but this will not last long in the future.

Note:

SUSE's RPM supports the Recommends tag, but it was not available
upstream until very recently. As a result, packages with Recommends will
fail to build for OBS targets Fedora_18, RHEL_6 and CentOS_6, for
example. A workaround is to exclude the Recommends tag from non-SUSE
targets. Alternatively the Recommends tag could become a Requires tag so
that a recommended package (foo) gets installed in any case on systems
that do not support RPM Recommends.

Fixes 0000840: bareos-webui openSUSE RPM has hard require to apache2_mod-php (5 or 7)
mod - packaging/obs/bareos-webui.spec Diff ] File ]
bareos-webui: master 6606dea2
Timestamp: 2017-08-07 12:03:55
Author: frank
Ported: N/A
Details ] Diff ]
Fix to bugreport 0000840

To allow end users to choose the MPM way of running php7 the package
should only require httpd (work also for RHEL related) and one php
engine.

It can recommend mod_php but this will not last long in the future.

Note:

SUSE's RPM supports the Recommends tag, but it was not available
upstream until very recently. As a result, packages with Recommends will
fail to build for OBS targets Fedora_18, RHEL_6 and CentOS_6, for
example. A workaround is to exclude the Recommends tag from non-SUSE
targets. Alternatively the Recommends tag could become a Requires tag so
that a recommended package (foo) gets installed in any case on systems
that do not support RPM Recommends.

Fixes 0000840: bareos-webui openSUSE RPM has hard require to apache2_mod-php (5 or 7)
mod - packaging/obs/bareos-webui.spec Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-07-30 11:45 tigerfoot New Issue
2017-08-01 10:50 frank Assigned To => frank
2017-08-01 10:50 frank Status new => assigned
2017-08-07 12:52 frank Status assigned => confirmed
2017-08-08 16:16 frank Changeset attached => bareos-webui bareos-16.2 c8521c09
2017-08-08 16:16 frank Note Added: 0002700
2017-08-08 16:16 frank Status confirmed => resolved
2017-08-08 16:16 frank Resolution open => fixed
2017-08-08 16:21 frank Changeset attached => bareos-webui master 6606dea2
2017-08-08 16:21 frank Note Added: 0002701
2017-08-08 16:24 frank bareos-master: impact => yes
2017-08-08 16:24 frank bareos-master: action => fixed
2017-08-08 16:24 frank bareos-16.2: impact => yes
2017-08-08 16:24 frank bareos-16.2: action => fixed
2017-08-08 16:24 frank Assigned To frank =>
2017-08-08 16:24 frank Status resolved => closed
2017-08-08 16:24 frank Fixed in Version => 16.2.7


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker